Yum and OM repo

Cathy Reaves cathy.reaves at gmail.com
Tue Oct 30 11:52:01 CDT 2007


When I installed from the online repo it succeeded - no problems.  When I
setup the mirror I did a full rsyn of the entire repo.  Using the mirror I
had failures with the IMPI.  A yum clean all was performed on the system
prior to the install.  I am pasting the complete errors below.
Unfortunately I do not have the first portion as my screen rolled off.


--> Processing Dependency: libomadb32.so.3 for package: srvadmin-omhip
--> Processing Dependency: libxmlsup32.so.2 for package: srvadmin-omhip
--> Processing Dependency: srvadmin-omacore for package: srvadmin-cm
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for srvadmin-isvc to pack into transaction set.
srvadmin-isvc-5.2.0-460.i 100% |=========================|  32 kB    00:00
---> Package srvadmin-isvc.i386 0:5.2.0-460 set to be updated
---> Downloading header for libxml2 to pack into transaction set.
libxml2-2.6.16-6.i386.rpm 100% |=========================| 5.8 kB    00:00
---> Package libxml2.i386 0:2.6.16-6 set to be updated
---> Downloading header for srvadmin-omacore to pack into transaction set.
srvadmin-omacore-5.2.0-46 100% |=========================| 147 kB    00:00
---> Package srvadmin-omacore.i386 0:5.2.0-460 set to be updated
---> Downloading header for srvadmin-deng to pack into transaction set.
srvadmin-deng-5.2.0-460.i 100% |=========================|  23 kB    00:00
---> Package srvadmin-deng.i386 0:5.2.0-460 set to be updated
---> Downloading header for srvadmin-omilcore to pack into transaction set.
srvadmin-omilcore-5.2.0-4 100% |=========================|  53 kB    00:00
---> Package srvadmin-omilcore.i386 0:5.2.0-460 set to be updated
---> Downloading header for zlib to pack into transaction set.
zlib-1.2.1.2-1.2.i386.rpm 100% |=========================| 5.7 kB    00:00
---> Package zlib.i386 0:1.2.1.2-1.2 set to be updated
---> Downloading header for srvadmin-ipmi to pack into transaction set.
srvadmin-ipmi-5.2.0-460.s 100% |=========================| 3.0 kB    00:00
---> Package srvadmin-ipmi.i386 0:5.2.0-460.sles10 set to be updated
--> Running transaction check
--> Processing Dependency: libpam.so.0 for package: srvadmin-omacore
--> Processing Dependency: libncurses.so.5 for package: srvadmin-omacore
--> Processing Dependency: libstdc++.so.5 for package: srvadmin-omacore
--> Processing Dependency: libstdc++.so.5(GLIBCPP_3.2) for package:
srvadmin-omacore
--> Processing Dependency: srvadmin-omauth for package: srvadmin-omacore
--> Processing Dependency: libncurses.so.5 for package: srvadmin-isvc
--> Processing Dependency: srvadmin-omauth = 5.2.0 for package:
srvadmin-omacore
--> Processing Dependency: libstdc++.so.5(GLIBCPP_3.2.2) for package:
srvadmin-omacore
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for pam to pack into transaction set.
pam-0.77-66.14.i386.rpm   100% |=========================|  59 kB    00:00
---> Package pam.i386 0:0.77-66.14 set to be updated
---> Downloading header for srvadmin-omauth to pack into transaction set.
srvadmin-omauth-5.2.0-460 100% |=========================| 5.7 kB    00:00
---> Package srvadmin-omauth.i386 0:5.2.0-460.sles10 set to be updated
---> Downloading header for compat-libstdc++-33 to pack into transaction
set.
compat-libstdc++-33-3.2.3 100% |=========================| 3.5 kB    00:00
---> Package compat-libstdc++-33.i386 0:3.2.3-47.3 set to be updated
---> Downloading header for ncurses to pack into transaction set.
ncurses-5.4-13.i386.rpm   100% |=========================| 273 kB    00:00
---> Package ncurses.i386 0:5.4-13 set to be updated
--> Running transaction check
--> Processing Dependency: libcrack.so.2 for package: pam
--> Processing Dependency: libaudit.so.0 for package: pam
--> Processing Dependency: libglib-2.0.so.0 for package: pam
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for audit-libs to pack into transaction set.
audit-libs-1.0.12-1.EL4.i 100% |=========================|  14 kB    00:00
---> Package audit-libs.i386 0:1.0.12-1.EL4 set to be updated
---> Downloading header for glib2 to pack into transaction set.
glib2-2.4.7-1.i386.rpm    100% |=========================|  20 kB    00:00
---> Package glib2.i386 0:2.4.7-1 set to be updated
---> Downloading header for cracklib to pack into transaction set.
cracklib-2.7-29.i386.rpm  100% |=========================| 7.1 kB    00:00
---> Package cracklib.i386 0:2.7-29 set to be updated
--> Running transaction check
--> Processing Dependency: cracklib-dicts at i386 = 2.7-29 for package:
cracklib
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for cracklib-dicts to pack into transaction set.
cracklib-dicts-2.7-29.i38 100% |=========================| 5.8 kB    00:00
---> Package cracklib-dicts.i386 0:2.7-29 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 srvadmin-base           i386       5.2.0-460        OpenManage        3.0 k
Installing for dependencies:
 audit-libs              i386       1.0.12-1.EL4     x86_64_update3     33 k
 compat-libstdc++-33     i386       3.2.3-47.3       x86_64_update3    226 k
 cracklib                i386       2.7-29           x86_64_update3     26 k
 cracklib-dicts          i386       2.7-29           x86_64_update3    1.3 M
 glib2                   i386       2.4.7-1          x86_64_update3    477 k
 libxml2                 i386       2.6.16-6         x86_64_update3    619 k
 ncurses                 i386       5.4-13           x86_64_update3    1.5 M
 pam                     i386       0.77-66.14       x86_64_update3    1.8 M
 srvadmin-cm             i386       5.2.0-460        OpenManage         22 M
 srvadmin-deng           i386       5.2.0-460        OpenManage        305 k
 srvadmin-hapi           i386       5.2.0-460        OpenManage        728 k
 srvadmin-ipmi           i386       5.2.0-460.sles10  OpenManage        3.6k
 srvadmin-isvc           i386       5.2.0-460        OpenManage        1.1 M
 srvadmin-omacore        i386       5.2.0-460        OpenManage        3.4 M
 srvadmin-omauth         i386       5.2.0-460.sles10  OpenManage        6.3k
 srvadmin-omhip          i386       5.2.0-460        OpenManage        2.5 M
 srvadmin-omilcore       i386       5.2.0-460        OpenManage        489 k
 zlib                    i386       1.2.1.2-1.2      x86_64_update3     44 k

Transaction Summary
=============================================================================
Install     19 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 37 M
Downloading Packages:
(1/19): srvadmin-isvc-5.2 100% |=========================| 1.1 MB    00:00
(2/19): libxml2-2.6.16-6. 100% |=========================| 619 kB    00:00
(3/19): pam-0.77-66.14.i3 100% |=========================| 1.8 MB    00:00
(4/19): audit-libs-1.0.12 100% |=========================|  33 kB    00:00
(5/19): srvadmin-omacore- 100% |=========================| 3.4 MB    00:00
(6/19): glib2-2.4.7-1.i38 100% |=========================| 477 kB    00:00
(7/19): cracklib-2.7-29.i 100% |=========================|  26 kB    00:00
(8/19): cracklib-dicts-2. 100% |=========================| 1.3 MB    00:00
(9/19): srvadmin-cm-5.2.0 100% |=========================|  22 MB    00:02
(10/19): srvadmin-deng-5. 100% |=========================| 305 kB    00:00
(11/19): srvadmin-omauth- 100% |=========================| 6.3 kB    00:00
(12/19): srvadmin-omilcor 100% |=========================| 489 kB    00:00
(13/19): srvadmin-hapi-5. 100% |=========================| 728 kB    00:00
(14/19): srvadmin-base-5. 100% |=========================| 3.0 kB    00:00
(15/19): srvadmin-omhip-5 100% |=========================| 2.5 MB    00:00
(16/19): zlib-1.2.1.2-1.2 100% |=========================|  44 kB    00:00
(17/19): srvadmin-ipmi-5. 100% |=========================| 3.6 kB    00:00
(18/19): compat-libstdc++ 100% |=========================| 226 kB    00:00
(19/19): ncurses-5.4-13.i 100% |=========================| 1.5 MB    00:00
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: srvadmin-omilcore            ####################### [ 1/19]
     To start all installed services without a reboot,
     enter the following command:  srvadmin-services.sh  start
  Installing: srvadmin-deng                ####################### [ 2/19]
  Installing: zlib                         ####################### [ 3/19]
  Installing: libxml2                      ####################### [ 4/19]
  Installing: ncurses                      ####################### [ 5/19]
  Installing: srvadmin-omauth              ####################### [ 6/19]
  Installing: compat-libstdc++-33          ####################### [ 7/19]
  Installing: srvadmin-ipmi                ####################### [ 8/19]
ERR0R: Server Administrator requires an OpenIPMI driver with a version that
is
equal to or greater than 33.13. Currently no OpenIPMI driver modules are
installed for the running kernel, or the OpenIPMI driver modules installed
for
the running kernel have a version that is either unknown or less than the
minimum version of the OpenIPMI driver that is required by Server
Administrator.

In order to install OpenIPMI driver modules for the running kernel that meet
the minimum version requirement, you should install or upgrade an OpenIPMI
driver RPM (i.e., "openipmi" RPM) that has a version that meets the minimum
version requirement.

In order to assist you in installing or upgrading OpenIPMI driver modules
for
the running kernel that meet the minimum version requirement, a version of
the
OpenIPMI driver RPM that meets the minimum version requirement is carried on
the systems management CD. A helper script, named "srvadmin-openipmi.sh", is
also carried and can be found under the "srvadmin/linux/supportscripts"
directory on the CD.

To install/upgrade the OpenIPMI driver RPM and a related DKMS RPM that are
carried on the systems management CD, execute the following after navigating
to the location of the script:

./srvadmin-openipmi.sh install

Prior to executing the "install" command of the script, you may want to
first
execute the "status" command of the script by executing the following:

./srvadmin-openipmi.sh status

This will give you a status of what the "install" command will potentially
do, but without modifying your system.

After you successfully install/upgrade the OpenIPMI driver RPM and the
related
DKMS RPM, you will then be able to install this RPM.

error: %pre(srvadmin-hapi-5.2.0-460.i386) scriptlet failed, exit status 103
error:   install: %pre scriptlet failed (2), skipping
srvadmin-hapi-5.2.0-460
srvadmin-isvc:
Missing file information! This rpm, "srvadmin-isvc", depends on
version "5.2.0" of "srvadmin-hapi" being installed.
The file, "/etc/omreg.cfg", does not contain the required "srvadmin-hapi"
version information needed by this rpm to install.
This indicates that the required version of "srvadmin-hapi" is
not installed. This rpm has not been installed.
error: %pre(srvadmin-isvc-5.2.0-460.i386) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping
srvadmin-isvc-5.2.0-460
  Installing: glib2                        ####################### [11/19]
  Installing: audit-libs                   ####################### [12/19]
  Installing: cracklib-dicts               ####################### [13/19]
  Installing: cracklib                     ####################### [14/19]
  Installing: pam                          ####################### [15/19]
  Installing: srvadmin-omacore             ####################### [16/19]
  Installing: srvadmin-cm                  ####################### [17/19]
srvadmin-omhip:
Missing file information! This rpm, "srvadmin-omhip", depends on
version "5.2.0" of "srvadmin-hapi" being installed.
The file, "/etc/omreg.cfg", does not contain the required "srvadmin-hapi"
version information needed by this rpm to install.
This indicates that the required version of "srvadmin-hapi" is
not installed. This rpm has not been installed.
error: %pre(srvadmin-omhip-5.2.0-460.i386) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping
srvadmin-omhip-5.2.0-460
  Installing: srvadmin-base                ####################### [19/19]

Installed: srvadmin-base.i386 0:5.2.0-460
Dependency Installed: audit-libs.i386 0:1.0.12-1.EL4 compat-libstdc++-
33.i386 0:3.2.3-47.3 crackli                                        b.i3860:
2.7-29 cracklib-dicts.i386 0:2.7-29 glib2.i386 0:2.4.7-1 libxml2.i386 0:
2.6.16-6 ncurses.                                        i386 0:5.4-13
pam.i386 0:0.77-66.14 srvadmin-cm.i386 0:5.2.0-460 srvadmin-deng.i386 0:
5.2.0-460 sr                                        vadmin-hapi.i386 0:
5.2.0-460 srvadmin-ipmi.i386 0:5.2.0-460.sles10 srvadmin-isvc.i386 0:
5.2.0-460                                         srvadmin-omacore.i386 0:
5.2.0-460 srvadmin-omauth.i386 0:5.2.0-460.sles10
srvadmin-omhip.i3860:5.
2.0-460 srvadmin-omilcore.i386 0:5.2.0-460 zlib.i386 0:1.2.1.2-1.2
Complete!
[root at hostname logs]#
[root at hostname logs]# yum -y install srvadmin-storageservices
Setting up Install Process
Setting up repositories
x86_64_update3                                                       [1/3]
x86_64_update3            100% |=========================|  951 B    00:00
local                                                                [2/3]
local                     100% |=========================|  951 B    00:00
OpenManage                                                           [3/3]
OpenManage                100% |=========================|  951 B    00:00
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for srvadmin-storageservices to pack into
transaction set.
srvadmin-storageservices- 100% |=========================| 2.6 kB    00:00
[root at hostname logs]# srvadmin-services.sh start
Starting Systems Management Data Engine:
Starting dsm_sa_datamgr32d:                                [FAILED]
Starting dsm_sa_eventmgr32d:                               [FAILED]
Starting dsm_sa_snmp32d:                                   [  OK  ]
Starting DSM SA Shared Services:                           [  OK  ]

[root at hostname logs]# service snmpd restart
Stopping snmpd:                                            [  OK  ]
Starting snmpd:                                            [  OK  ]



On 10/29/07, John <jses27 at gmail.com> wrote:
>
> So when installed from the online repo it succeded correct?
> After mirroring it, the install of ipmi failed correct? Do you run any
> type of caching server? Have any error messages of the failed install?
> Done a yum clean all on the failing machine? Is it failing because of
> missing OS deps or the dell repo deps.
>
> On Mon, 2007-10-29 at 20:20 -0700, Cathy Reaves wrote:
> > I setup the entire repo - approx. 4gb....however the OpenIPMI install
> > failed when it succeeded when I was using the publicc repo.  Any
> > suggestions?
> >
> > Cathy
> >
> >
> > On 10/29/07, Matt Domsch <Matt_Domsch at dell.com> wrote:
> >         On Mon, Oct 29, 2007 at 08:44:11PM -0400, John wrote:
> >         > I know previously there was no inbound rsync access only
> >         outbound per
> >         > Michael and Matt. Things may be changed as of now. Your
> >         problem sound
> >         > like you don't have the whole repo mirrored (missing deps).
> >         I would
> >         > advise to contact Michael (Michael_E_Brown at dell.com) or Matt
> >         Domsch
> >         > (Matt_Domsch at dell.com) about the repo mirroring. I think the
> >         repo total
> >         > size is around 10GB as per a previous post.
> >
> >         It's 3.8GB right now, available for public rsync at
> >         rsync://linux.dell.com/repo
> >
> >         Thanks,
> >         Matt
> >
> >         --
> >         Matt Domsch
> >         Linux Technology Strategist, Dell Office of the CTO
> >         linux.dell.com & www.dell.com/linux
> >
> --
> ~/john
>
> OpenPGP Sig:BA91F079
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.us.dell.com/pipermail/linux-poweredge/attachments/20071030/c204d678/attachment-0001.htm 


More information about the Linux-PowerEdge mailing list